Summary:	iwd - wireless daemon for Linux
Summary(pl.UTF-8):	iwd - demon sieci bezprzewodowej dla Linuksa
Name:		iwd
Version:	2.0
Release:	1
License:	LGPL v2.1+
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/linux/network/wireless/%{name}-%{version}.tar.xz
# Source0-md5:	79b557e26f8677a23428a0586089be41
URL:		https://git.kernel.org/pub/scm/network/wireless/iwd.git
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	dbus-devel
BuildRequires:	docutils
BuildRequires:	ell-devel >= 0.54
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun,postun):	systemd-units >= 38
Requires:	ell >= 0.54
Requires:	systemd-units >= 38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wireless daemon for Linux.

%description -l pl.UTF-8
Demon sieci bezprzewodowej dla Linuksa.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-external-ell \
	--enable-manual-pages \
	--disable-silent-rules \
	--with-systemd-modloaddir=/usr/lib/modules-load.d \
	--with-systemd-networkdir=/lib/systemd/network \
	--with-systemd-unitdir=%{systemdunitdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/iwd

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post iwd.service

%preun
%systemd_preun iwd.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{_sysconfdir}/iwd
%attr(755,root,root) %{_bindir}/iwctl
%attr(755,root,root) %{_bindir}/iwmon
%attr(755,root,root) %{_libexecdir}/iwd
/lib/systemd/network/80-iwd.link
%{systemdunitdir}/iwd.service
%{_datadir}/dbus-1/system.d/iwd-dbus.conf
%{_datadir}/dbus-1/system-services/net.connman.iwd.service
%{_mandir}/man1/iwctl.1*
%{_mandir}/man1/iwmon.1*
%{_mandir}/man5/iwd.ap.5*
%{_mandir}/man5/iwd.config.5*
%{_mandir}/man5/iwd.network.5*
%{_mandir}/man7/iwd.debug.7*
%{_mandir}/man8/iwd.8*
/usr/lib/modules-load.d/pkcs8.conf
%changelog
* Fri Nov 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iwd.git;a=log;h=master

* Fri Nov 18 2022 Jan Palus <atler@pld-linux.org> 278df89
- up to 2.0

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 359e4d9
- up to 1.30

* Fri Jul 15 2022 Jan Palus <atler@pld-linux.org> 534343f
- up to 1.29

* Sun Jun 05 2022 Jan Palus <atler@pld-linux.org> 4415aa7
- up to 1.28

* Fri Apr 22 2022 Jan Palus <jpalus@fastmail.com> 049ff5d
- up to 1.27

* Wed Mar 23 2022 Jan Palus <atler@pld-linux.org> 46c89f7
- up to 1.26

* Fri Feb 25 2022 Jan Palus <atler@pld-linux.org> e9c1a6e
- up to 1.25

* Sun Feb 06 2022 Jan Palus <atler@pld-linux.org> bc91837
- up to 1.24

* Thu Jan 27 2022 Jan Palus <atler@pld-linux.org> 950eb21
- up to 1.23

* Wed Jan 26 2022 Jan Palus <atler@pld-linux.org> 55328eb
- crash fix for hw with handshake offload; rel 2

* Wed Jan 26 2022 Jan Palus <atler@pld-linux.org> 305ba42
- up to 1.22

* Thu Jan 06 2022 Jan Palus <atler@pld-linux.org> a903901
- up to 1.21

* Fri Nov 19 2021 Jan Palus <atler@pld-linux.org> 40c99f2
- up to 1.20

* Wed Nov 03 2021 Jan Palus <atler@pld-linux.org> c07b9d3
- up to 1.19

* Wed Sep 15 2021 Jan Palus <atler@pld-linux.org> f6b959e
- try using parallel build

* Wed Sep 15 2021 Jan Palus <atler@pld-linux.org> 6fc7130
- up to 1.18

* Sun Aug 22 2021 Jan Palus <atler@pld-linux.org> 8ab737e
- up to 1.17

* Mon Aug 02 2021 Jan Palus <atler@pld-linux.org> 6286e45
- up to 1.16

* Sun Jun 13 2021 Jan Palus <atler@pld-linux.org> 46f3cce
- up to 1.15

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> 5f17937
- up to 1.14

